summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorroot <root@lri11-52.lri.fr>2008-07-21 16:57:52 +0200
committerroot <root@lri11-52.lri.fr>2008-07-21 16:57:52 +0200
commitcaa181d32605cfda4bce8f949c910802051223e8 (patch)
treeed3b7da4f25f60598baa7f9deeb94d6e7c566e98
parentdev-libs/nucleo: remove old releases (diff)
downloadremi-caa181d32605cfda4bce8f949c910802051223e8.tar.gz
remi-caa181d32605cfda4bce8f949c910802051223e8.tar.bz2
remi-caa181d32605cfda4bce8f949c910802051223e8.zip
dev-libs/nucleo: bump to 0.7.3 (add test useflag)
-rw-r--r--dev-libs/nucleo/Manifest2
-rw-r--r--dev-libs/nucleo/nucleo-0.7.3.ebuild36
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-libs/nucleo/Manifest b/dev-libs/nucleo/Manifest
index 7d98ed4..77d5e9e 100644
--- a/dev-libs/nucleo/Manifest
+++ b/dev-libs/nucleo/Manifest
@@ -1,2 +1,4 @@
DIST nucleo-0.7.2.tar.bz2 826509 RMD160 9cfd815e2e4f53fac367152b282891f33c595bb1 SHA1 6b19ce9a71ac02ba15edb49be741144b2ad14e46 SHA256 c36a383eaf240f060fb70c4ce0e30978ef974edab9e71d74595c36da2d25cc3e
+DIST nucleo-0.7.3.tar.bz2 826443 RMD160 0b7d0dff0dd3a5f0ffcee7a19a239f3516dcb0c4 SHA1 8203ceda94968511d61a71cfafcb9f5b44be7939 SHA256 2feabbe1b40128a42387b3b6d829a60ee76bde907ffd068dfa3b508a889a9580
EBUILD nucleo-0.7.2.ebuild 628 RMD160 0f0c04b24b1ba58b650cbd871e6fc8ebb7782695 SHA1 709693675bcd117a42ff1b307df770f79144be60 SHA256 a034b70f70b14935f6a3745586427eeca71675c6b02739741d17d8e56f1078dd
+EBUILD nucleo-0.7.3.ebuild 659 RMD160 27c27c46f3f117ae36a194c928db1cfdd0f8975d SHA1 8957c0a717b23513d176ae3be61993f86ed6d86b SHA256 a25795d31ffc710e98bd6d7ff6fbf83ae0e4650e399ba151b494e0247236dcf1
diff --git a/dev-libs/nucleo/nucleo-0.7.3.ebuild b/dev-libs/nucleo/nucleo-0.7.3.ebuild
new file mode 100644
index 0000000..f92df3b
--- /dev/null
+++ b/dev-libs/nucleo/nucleo-0.7.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION=""
+HOMEPAGE=""
+SRC_URI="http://www.lri.fr/~cardona/sources/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND=""
+RDEPEND=""
+
+src_compile() {
+ econf \
+ --without-freetype2 \
+ --without-dns-sd \
+ --without-expat \
+ --without-gnutls \
+ --without-ffmpeg \
+ --without-qt \
+ --without-gd \
+ --without-opencv \
+ --without-vnc \
+ $(use_with test tests) \
+ || die "configure failed"
+
+ emake || die "make failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+}